﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class TICKETS_HtmlChart_2016_Q2_Column_and_Line_Series_LineSeries_Tooltip : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        ColumnSeries columnSeries = new ColumnSeries();
        columnSeries.DataFieldY = "value1";

        LineSeries lineSeries = new LineSeries();
        lineSeries.DataFieldY = "value1";
        lineSeries.Appearance.FillStyle.BackgroundColor = Color.Blue;

        Chart.PlotArea.Series.Add(columnSeries);
        Chart.PlotArea.Series.Add(lineSeries);

        Chart.DataSource = GetData();
        Chart.DataBind();
    }

    private DataTable GetData()
    {
        DataTable table = new DataTable();
        table.Columns.Add(new DataColumn("value1", typeof(int)));
        table.Columns.Add(new DataColumn("value2", typeof(int)));
        table.Rows.Add(new object[] { 200, 300 });
        table.Rows.Add(new object[] { 300, 400 });
        table.Rows.Add(new object[] { 300, 350 });
        return table;
    }
}